Bug 446639 - Review Request: gupnp - GUPnP is an framework for creating UPnP devices & control points
Review Request: gupnp - GUPnP is an framework for creating UPnP devices & con...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Richard W.M. Jones
Fedora Extras Quality Assurance
:
Depends On: 446637
Blocks: 447456 447457 454664 454668
  Show dependency treegraph
 
Reported: 2008-05-15 10:21 EDT by Peter Robinson
Modified: 2008-08-13 14:24 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-08-13 14:24:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rjones: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Peter Robinson 2008-05-15 10:21:05 EDT
Spec URL: http://fedora.roving-it.com/rawhide/gupnp.spec
SRPM URL: http://fedora.roving-it.com/rawhide/gupnp-0.10-1.fc9.src.rpm
Description: GUPnP is an object-oriented open source framework for creating UPnP
devices and control points, written in C using GObject and libsoup.
The GUPnP API is intended to be easy to use, efficient and flexible.
Comment 1 Peter Robinson 2008-05-19 18:35:28 EDT
Updated to the latest release

Spec URL: http://fedora.roving-it.com/rawhide/gupnp.spec
SRPM URL: http://fedora.roving-it.com/rawhide/gupnp-0.10.1-1.fc9.src.rpm
Comment 2 Peter Robinson 2008-06-16 15:16:23 EDT
Updated to the latest release.

Spec URL: http://fedora.roving-it.com/rawhide/gupnp.spec
SRPM URL: http://fedora.roving-it.com/rawhide/gupnp-0.12-1.fc9.src.rpm
Comment 3 Peter Robinson 2008-06-30 18:59:30 EDT
Updated to the latest release.

Spec URL: http://fedora.roving-it.com/rawhide/gupnp.spec
SRPM URL: http://fedora.roving-it.com/rawhide/gupnp-0.12.1-1.fc9.src.rpm
Comment 5 Richard W.M. Jones 2008-08-08 11:21:33 EDT
I've taken this bug, but I'll wait to see a buildable package
from bug 446637 first.
Comment 6 Richard W.M. Jones 2008-08-12 09:04:55 EDT
I'm getting a build error on rawhide which looks like the same
problem we had with bug 446637:

gcc -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/gssdp-1.0 -I/usr/include/libsoup-2.4 -I/usr/include/libxml2 -I.. -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4 -m32 -march=i386 -mtune=generic -fasynchronous-unwind-tables -o .libs/light-client light-client.o  ../libgupnp/.libs/libgupnp-1.0.so
light-client.o: In function `main':
/home/rjones/rpmbuild/BUILD/gupnp-0.12.1/examples/light-client.c:79: undefined reference to `g_thread_init'
light-server.o: In function `main':
/homecollect2: ld returned 1 exit status
/rjones/rpmbuild/BUILD/gupnp-0.12.1/examples/light-server.c:96: undefined reference to `g_thread_init'
collect2: ld returned 1 exit status
make[2]: *** [light-client] Error 1
make[2]: *** Waiting for unfinished jobs....
make[2]: *** [light-server] Error 1
Comment 7 Peter Robinson 2008-08-13 05:14:46 EDT
applied a patch to stop the compile of the examples directory as its not installed/packaged anyway. Maintainers know about the issue and it will be fixed in the next release shortly.

SPEC: http://pbrobinson.fedorapeople.org/gupnp.spec
SRPM: http://pbrobinson.fedorapeople.org/gupnp-0.12.1-2.fc9.src.rpm
Comment 8 Richard W.M. Jones 2008-08-13 05:39:27 EDT
- rpmlint output

  gupnp.i386: W: incoherent-version-in-changelog 0.12-2 0.12.1-2.fc10

  The %changelog version numbers are incorrect.

+ package name satisfies the packaging naming guidelines
+ specfile name matches the package base name
+ package should satisfy packaging guidelines
+ license meets guidelines and is acceptable to Fedora
+ license matches the actual package license
+ %doc includes license file
+ spec file written in American English
+ spec file is legible
+ upstream sources match sources in the srpm
  f8b0c3a759e4bf18380ed49f37e0b207
+ package successfully builds on at least one architecture
  i386
n/a ExcludeArch bugs filed
+ BuildRequires list all build dependencies
n/a %find_lang instead of %{_datadir}/locale/*
+ binary RPM with shared library files must call ldconfig in %post and %postun
+ does not use Prefix: /usr
+ package owns all directories it creates
+ no duplicate files in %files
+ %defattr line
+ %clean contains rm -rf $RPM_BUILD_ROOT
+ consistent use of macros
+ package must contain code or permissible content
n/a large documentation files should go in -doc subpackage
+ files marked %doc should not affect package
+ header files should be in -devel
n/a static libraries should be in -static
+ packages containing pkgconfig (.pc) files need 'Requires: pkgconfig'
+ libfoo.so must go in -devel
+ -devel must require the fully versioned base
+ packages should not contain libtool .la files
n/a packages containing GUI apps must include %{name}.desktop file
+ packages must not own files or directories owned by other packages
+ %install must start with rm -rf %{buildroot} etc.
+ filenames must be valid UTF-8

Optional:

n/a if there is no license file, packager should query upstream
n/a translations of description and summary for non-English languages, if available
- reviewer should build the package in mock
- the package should build into binary RPMs on all supported architectures
- review should test the package functions as described
+ scriptlets should be sane
+ pkgconfig files should go in -devel
+ shouldn't have file dependencies outside /etc /bin /sbin /usr/bin or /usr/sbin

Just fix those %changelog version numbers and resubmit for approval.
Comment 9 Peter Robinson 2008-08-13 06:02:33 EDT
New spec and srpm fixing the changelog. BTW what rpmlint options did you use to get that reported so I can get more info for next time :)

SRPM: http://pbrobinson.fedorapeople.org/gupnp-0.12.1-3.fc9.src.rpm
Comment 10 Richard W.M. Jones 2008-08-13 06:18:15 EDT
OK, that fixes the rpmlint problem, so ===> APPROVED <===

I'm using rpmlint in Rawhide.  No special options.
Comment 11 Peter Robinson 2008-08-13 06:26:08 EDT
New Package CVS Request
=======================
Package Name: gupnp
Short Description: GUPnP is an framework for creating UPnP devices & control points
Owners: pbrobinson
Branches: F-8 F-9
InitialCC: pbrobinson
Cvsextras Commits: yes
Comment 12 Kevin Fenzi 2008-08-13 13:32:06 EDT
cvs done.
Comment 13 Peter Robinson 2008-08-13 14:24:55 EDT
Committed to CVS. Coming to a rawhide near you soon. Thanks for your help yet again Richard, feel free to swap any more reviews that you need :-)

Note You need to log in before you can comment on or make changes to this bug.